# Generated by Django 3.2.11 on 2022-01-07 22:06

import taggit.managers
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("utils", "0012_tag_ordering"),
        ("messaging", "0001_initial"),
        ("peering", "0083_move_email_to_messaging"),
    ]

    state_operations = [
        migrations.CreateModel(
            name="Email",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("updated", models.DateTimeField(auto_now=True, null=True)),
                ("name", models.CharField(max_length=128)),
                ("template", models.TextField()),
                (
                    "jinja2_trim",
                    models.BooleanField(
                        default=False, help_text="Removes new line after tag"
                    ),
                ),
                (
                    "jinja2_lstrip",
                    models.BooleanField(
                        default=False, help_text="Strips whitespaces before block"
                    ),
                ),
                ("comments", models.TextField(blank=True)),
                ("subject", models.CharField(max_length=512)),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        help_text="A comma-separated list of tags.",
                        through="utils.TaggedItem",
                        to="utils.Tag",
                        verbose_name="Tags",
                    ),
                ),
            ],
            options={"ordering": ["name"], "abstract": False},
        ),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(state_operations=state_operations)
    ]
